summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xinstaller/pkg-generator/DEBIAN/postinst4
-rwxr-xr-xinstaller/pkg-generator/tmp/opengnsys_installer/opengnsys_git_update.sh17
2 files changed, 10 insertions, 11 deletions
diff --git a/installer/pkg-generator/DEBIAN/postinst b/installer/pkg-generator/DEBIAN/postinst
index 03b747b7..19b30e76 100755
--- a/installer/pkg-generator/DEBIAN/postinst
+++ b/installer/pkg-generator/DEBIAN/postinst
@@ -1265,8 +1265,8 @@ if [ "$RET" = "true" ]; then
exit 0
fi
-FILE=/opt/opengnsys/doc/VERSION.txt
-if [ -f $FILE ]; then
+VFILE=/opt/opengnsys/doc/VERSION.txt
+if [ -f $VFILE ]; then
echo "File $FILE exists. This could mean that OpenGnsys has been previously"
echo "installed using the installer script. This apt package is not suitable"
echo "for upgrading and may break the system"
diff --git a/installer/pkg-generator/tmp/opengnsys_installer/opengnsys_git_update.sh b/installer/pkg-generator/tmp/opengnsys_installer/opengnsys_git_update.sh
index 572c6158..05827c93 100755
--- a/installer/pkg-generator/tmp/opengnsys_installer/opengnsys_git_update.sh
+++ b/installer/pkg-generator/tmp/opengnsys_installer/opengnsys_git_update.sh
@@ -917,15 +917,14 @@ if [ $? -ne 0 ]; then
exit 1
fi
-# Comprobar auto-actualizaciĆ³n del programa.
-#~ if [ "$PROGRAMDIR" != "$INSTALL_TARGET/bin" ]; then
- #~ checkAutoUpdate
- #~ if [ $? -ne 0 ]; then
- #~ echoAndLog "OpenGnsys updater has been overwritten"
- #~ echoAndLog "Please, rerun this script"
- #~ exit
- #~ fi
-#~ fi
+VFILE=/opt/opengnsys/doc/VERSION.txt
+if [ -f $VFILE ]; then
+ echo "File $FILE exists. This could mean that OpenGnsys has been previously"
+ echo "installed using the installer script. This apt package is not suitable"
+ echo "for upgrading and may break the system"
+ echo "Terminating!"
+ exit 1
+fi
# Detectar datos de auto-configuraciĆ³n del instalador.
autoConfigure